import type AppRegistry from 'hadron-app-registry';
import type { Store, AnyAction, Action } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import { FavoriteQueryStorage } from '@mongodb-js/compass-query-bar';
import { PipelineStorage } from '@mongodb-js/compass-aggregations';
export declare const queryStorage: FavoriteQueryStorage;
export declare const pipelineStorage: PipelineStorage;
declare const _store: Store<import("redux").EmptyObject & {
    savedItems: import("./aggregations-queries-items").State;
    instance: import("./instance").State;
    dataService: import("./data-service").State;
    openItem: import("./open-item").State;
    editItem: import("./edit-item").State;
    appRegistry: import("./app-registry").State;
}, {
    type: import("./delete-item").ActionTypes;
    id: string;
} | import("./aggregations-queries-items").Actions | import("./edit-item").Actions | import("./instance").Actions | import("./data-service").Actions | import("./open-item").Actions | {
    type: import("./app-registry").ActionTypes;
    appRegistry: AppRegistry;
}> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {
        pipelineStorage: PipelineStorage;
        queryStorage: FavoriteQueryStorage;
    }, AnyAction>;
};
export type SavedQueryAggregationExtraArgs = {
    pipelineStorage: PipelineStorage;
    queryStorage: FavoriteQueryStorage;
};
export type SavedQueryAggregationThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, SavedQueryAggregationExtraArgs, A>;
type StoreActions<T> = T extends Store<unknown, infer A> ? A : never;
type StoreState<T> = T extends Store<infer S, AnyAction> ? S : never;
export type RootActions = StoreActions<typeof _store>;
export type RootState = StoreState<typeof _store>;
declare const store: Store<import("redux").EmptyObject & {
    savedItems: import("./aggregations-queries-items").State;
    instance: import("./instance").State;
    dataService: import("./data-service").State;
    openItem: import("./open-item").State;
    editItem: import("./edit-item").State;
    appRegistry: import("./app-registry").State;
}, {
    type: import("./delete-item").ActionTypes;
    id: string;
} | import("./aggregations-queries-items").Actions | import("./edit-item").Actions | import("./instance").Actions | import("./data-service").Actions | import("./open-item").Actions | {
    type: import("./app-registry").ActionTypes;
    appRegistry: AppRegistry;
}> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {
        pipelineStorage: PipelineStorage;
        queryStorage: FavoriteQueryStorage;
    }, AnyAction>;
} & {
    onActivated(appRegistry: AppRegistry): void;
};
export default store;
//# sourceMappingURL=index.d.ts.map